Tcl_PutEnv(3)

NAME
Tcl_PutEnv - procedures to manipulate the environment

SYNOPSIS
#include <tcl.h>

int
Tcl_PutEnv(string)

ARGUMENTS
Info about environment variable in the form NAME=value. The string is in native format.

DESCRIPTION

Tcl_PutEnv sets an environment variable. The information is passed in a single string of the form NAME=value. This procedure is intended to be a stand-in for the UNIX putenv system call. All tcl-based applications using putenv should redefine it to Tcl_PutEnv so that they will interface properly to the Tcl runtime.

KEYWORDS
environment, variable